
Infrastructure - Task #2668

Story # 2661 (Closed): handling complicated identity-equivalencies for authorization

Task # 2665 (Closed): Authorization consistency between language implementations

create python tool for returning isAuthorized given AccessPolicy and list of Subjects

2012-04-30 18:52 - Rob Nahf

Status: Closed Start date: 2012-04-30

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Should return the highest level of authorization for the given list.

Specifically needs to NOT consider the fuller picture of rightsHolder that would be in a typical isAuthorized request.

Related issues:

Related to Infrastructure - Task #2666: create python tool for returning equi... Closed 2012-04-30

History

#1 - 2012-04-30 21:58 - Andrew Pippin

- Status changed from New to In Progress

- Assignee changed from Roger Dahl to Andrew Pippin

#2 - 2012-05-03 22:03 - Andrew Pippin

- Status changed from In Progress to Closed

Actually compares a d1:SubjectInfo structure against a d1:AccessPolicy structure and returns the highest level (string value).

#3 - 2012-05-03 22:04 - Andrew Pippin

- % Done changed from 0 to 100

Change percentage.

#4 - 2012-05-04 15:31 - Andrew Pippin

- Status changed from Closed to In Progress

- % Done changed from 100 to 80

Roger suggested some good improvements.

#5 - 2012-05-07 19:56 - Andrew Pippin

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

#6 - 2012-10-03 15:40 - Chris Jones

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4
